Subject: Re: bug#12665: regexp fault for closing square bracket within character class

From: Panicz Maciej Godek <[email-masked]>
Date: Thu, 18 Oct 2012 11:44:30 +0200

> As documented in "Syntax of Regular Expressions" of the Emacs manual
> (to which section 6.15 of the Guile manual refers):
>
>      To include a `]' in a character set, you must make it the first
>      character.  For example, `[]a]' matches `]' or `a'.  To include a
>      `-', write `-' as the first or last character of the set, or put
>      it after a range.  Thus, `[]-]' matches both `]' and `-'.

OK, I see. I guess I got used to PCRE for too long :)
Sorry for my mistake.

Regards